#ifndef MOUSEGAMETYPE_H
#define MOUSEGAMETYPE_H
#include <gametypes/Gametype.h>
#include <core/CoreIncludes.h>
#include <infos/PlayerInfo.h>
#include <core/input/InputState.h>
#include <core/GUIManager.h>

namespace orxonox
{

class MouseGametype: public Gametype
{
public:
    MouseGametype(Context *context);
    virtual void start() override;
    virtual void spawnPlayer(PlayerInfo* player) override;
    virtual void spawnPlayersIfRequested()override;
private:
    PlayerInfo* player_ ;
    CEGUI::MouseCursor *cursor;
};

}
#endif // MOUSEGAMETYPE_H
